Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class StringLiteral

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.expr.Literal
              net.sf.saxon.expr.StringLiteral

All Implemented Interfaces:
  Serializable, SourceLocator, LocationProvider, SaxonLocator, InstructionInfo, Locator

    public class StringLiteral

extends Literal

Subclass of Literal used specifically for string literals, as this is a common case

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.Expression
`EFFECTIVE_BOOLEAN_VALUE, EVALUATE_METHOD, EVENT_FEED_METHOD, ITEM_FEED_METHOD, ITERATE_METHOD, locationId, MAX_SEQUENCE_LENGTH, MAX_STRING_LENGTH, PROCESS_METHOD, PUSH_SELECTION, staticProperties, UNBOUNDED_LOWER, UNBOUNDED_UPPER, WATCH_METHOD`

Constructor Summary
`StringLiteral(CharSequence value)` Create a StringLiteral that wraps any CharSequence (including, of course, a String)
`StringLiteral(StringValue value)` Create a StringLiteral that wraps a StringValue

Method Summary
`Expression` | `copy()` Copy an expression.
`String` | `getStringValue()` Get the string represented by this StringLiteral

Methods inherited from class net.sf.saxon.expr.Literal
`addToPathMap, computeCardinality, computeSpecialProperties, effectiveBooleanValue, equals, evaluateAsString, evaluateItem, evaluatePendingUpdates, explain, getDependencies, getIntegerBounds, getItemType, getValue, hashCode, isAtomic, isConstantBoolean, isConstantOne, isEmptySequence, isSubtreeExpression, isVacuousExpression, iterate, iterate, makeEmptySequence, makeLiteral, optimize, process, simplify, toString, typeCheck`

Methods inherited from class net.sf.saxon.expr.Expression
`adoptChildExpression, checkForUpdatingSubexpressions, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, dynamicError, explain, getCardinality, getColumnNumber, getColumnNumber, getConstructType, getContainer, getEvaluationMethod, getExecutable, getExpressionName, getHostLanguage, getImplementationMethod, getIntrinsicDependencies, getLineNumber, getLineNumber, getLocationId, getLocationProvider, getObjectName, getProperties, getProperty, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, getSystemId, hasLoopingSubexpression, hasVariableBinding, implementsStaticTypeCheck, isUpdatingExpression, iterateEvents, iterateSameFocusSubExpressions, iterateSubExpressions, markTailFunctionCalls, promote, replaceSubExpression, resetLocalStaticProperties, setContainer, setEvaluationMethod, setFiltered, setFlattened, setLocationId, staticTypeCheck, suppressValidation, typeError`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringLiteral

    public StringLiteral(StringValue value)

  Create a StringLiteral that wraps a StringValue

  Parameters:
    `value` - the StringValue

### StringLiteral

    public StringLiteral(CharSequence value)

  Create a StringLiteral that wraps any CharSequence (including, of course, a String)

  Parameters:
    `value` - the CharSequence to be wrapped

Method Detail

### getStringValue

    public String getStringValue()

  Get the string represented by this StringLiteral

  Returns:
    the underlying string

### copy

    public Expression copy()

  Description copied from class: `Literal`
  Copy an expression. This makes a deep copy.

  Overrides:
    `copy` in class `Literal`
  Returns:
    the copy of the original expression

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.